Summary: A network traffic monitoring tool.
Name: tcpdump
Version: 3.4
%define	tcpdump_dir	tcpdump-3.4
Release: 5mdk
# XXX serial number is necessary to obsolete tcpdump-3.4a5
Serial: 1
Copyright: BSD
Group: Monitoring
Source0: ftp://ftp.ee.lbl.gov/tcpdump-3.4.tar.bz2
Source1: ftp://ftp.ee.lbl.gov/libpcap-0.4.tar.bz2
Source2: ftp://ftp.ee.lbl.gov/arpwatch-2.1a4.tar.bz2
Source3: arpwatch.init
Patch0: tcpdump-3.4a5-man.patch.bz2
Patch1: tcpdump-3.4a5-sack.patch.bz2
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump
can capture and display the packet headers on a particular network
interface or on all interfaces.  Tcpdump can display all of the packet
headers, or just the ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%package -n libpcap
Version: 0.4
%define	libpcap_dir	libpcap-0.4
Summary: A system-independent interface for user-level packet capture.
Group: System/Libraries

%description -n libpcap
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

Install libpcap if you need to do low-level network traffic monitoring on
your network.

%package -n arpwatch
Version: 2.1a4
%define	arpwatch_dir	arpwatch-2.1a4
Summary: Network monitoring tools for tracking IP addresses on the network.
Group: Monitoring

%description -n arpwatch
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and arpsnmp
are both network monitoring tools.  Both utilities monitor Ethernet or
FDDI network traffic and build databases of Ethernet/IP address pairs,
and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep traffic of the IP addresses on your
network.

%prep
%setup -q -c -a 1 -a 2

cd %tcpdump_dir
%patch0 -p2
%patch1 -p2
cd ..

%build
cd %libpcap_dir
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%configure
make
cd ..

cd %tcpdump_dir
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS -DIP_MAX_MEMBERSHIPS=20" ./configure --prefix=/usr

%define	optflags $RPM_OPT_FLAGS -DIP_MAX_MEMBERSHIPS=20
%configure
%undefine optflags

make
cd ..

cd %arpwatch_dir
#libtoolize --copy --force
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%configure
make ARPDIR=/var/arpwatch
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{include/net,lib,man/man3,man/man8,sbin}

cd %libpcap_dir
make DESTDIR=$RPM_BUILD_ROOT INCLDEST=%{_prefix}/include install install-incl install-man
cd ..

cd %tcpdump_dir
install -m755 -s tcpdump ${RPM_BUILD_ROOT}%{_prefix}/sbin
install -m644 tcpdump.1 ${RPM_BUILD_ROOT}%{_prefix}/man/man8/tcpdump.8
cd ..

cd %arpwatch_dir
make DESTDIR=$RPM_BUILD_ROOT install install-man
mkdir -p $RPM_BUILD_ROOT/var/arpwatch
for n in arp2ethers massagevendor; do
	install -m755 $n $RPM_BUILD_ROOT/var/arpwatch
done
for n in *.awk *.dat; do
	install -m644 $n $RPM_BUILD_ROOT/var/arpwatch
done
( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/rc.d/init.d
  install -m755 $RPM_SOURCE_DIR/arpwatch.init ./etc/rc.d/init.d/arpwatch
)
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(-,root,root) %doc	%tcpdump_dir/README %tcpdump_dir/CHANGES
%attr(-,root,root) %{_prefix}/sbin/tcpdump
%attr(-,root,root) %{_prefix}/man/man8/tcpdump.8*

%files -n libpcap
%defattr(-,root,root)
%attr(-,root,root) %doc	%libpcap_dir/README %libpcap_dir/CHANGES
%attr(-,root,root) %{_prefix}/include/*
%attr(-,root,root) %{_prefix}/lib/libpcap.a
%attr(-,root,root) %{_prefix}/man/man3/pcap.3*

%files -n arpwatch
%attr(-,root,root) %doc	%arpwatch_dir/README %arpwatch_dir/CHANGES
%attr(-,root,root) %{_prefix}/sbin/arpwatch
%attr(-,root,root) %{_prefix}/sbin/arpsnmp
%attr(-,root,root) %{_prefix}/man/man8/arpwatch.8*
%attr(-,root,root) %{_prefix}/man/man8/arpsnmp.8*
%attr(-,root,root) /etc/rc.d/init.d/arpwatch
%attr(-,root,root) %dir	/var/arpwatch
%attr(-,root,root) %config	/var/arpwatch/arp.dat
%attr(-,root,root) %config	/var/arpwatch/ethercodes.dat
%attr(-,root,root) /var/arpwatch/*.awk
%attr(-,root,root) /var/arpwatch/arp2ethers
%attr(-,root,root) /var/arpwatch/massagevendor

%changelog
* Wed Apr 05 2000 John Buswell <johnb@mandrakesoft.com> 3.4-5mdk
- Fixed vendor tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 3.4-4mdk
- Fixed groups
- spec-helper

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Fixed source and spec for new build environment

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus includes directory that make iplog fail to compile (even pcap
  headers were bogus while seeking for other includes)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Wed Jan 13 1999 Bill Nottingham <notting@redhat.com>
- autoconf fixes for arm

* Tue Sep 29 1998 Jeff Johnson <jbj@redhat.com>
- libpcap description typo.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- fix arpwatch summary line.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- enable arpwatch

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- separate package for libpcap.
- update tcpdump to 3.4, libpcap to 0.4.
- added arpwatch (but disabled for now)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May  2 1998 Alan Cox <alan@rehat.com>
- Added the SACK printing fix so you can dump Linux 2.1+.

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to release 3.4a5
- uses a buildroot and %attr 

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
